The seq/for_each_product.hpp header defines macros to repeat a macro for each cartesian product of several seqs.

#### Usage

#include <boost/preprocessor/seq/for_each_product.hpp>

#### Contents

- BOOST_PP_SEQ_FOR_EACH_PRODUCT
- BOOST_PP_SEQ_FOR_EACH_PRODUCT_R

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)